### Type parameters

- #### T

### Hierarchy

- BatchWriteSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- itemsToProcess
- keyFn
- logger
- modelClazz
- tableName

### Accessors

- toKey

### Methods

- delete
- exec
- execNextBatch
- put

## Constructors

### constructor

- new BatchWriteSingleTableRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string): BatchWriteSingleTableRequest

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:28

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  #### Returns BatchWriteSingleTableRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:25

### itemsToProcess

itemsToProcess: WriteRequests

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:28

### Private keyFn

keyFn: any

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:23

### Private logger

logger: Logger

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:15

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:26

### tableName

tableName: string

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:27

## Accessors

### Private toKey

toKey:

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:17

## Methods

### delete

- delete(items: T[]): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:43

  #### Parameters

  - ##### items: T[]

  #### Returns BatchWriteSingleTableRequest<T>

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<void>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:93

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    generator for how much timeSlots should be waited before requesting next batch. only used when capacity was exceeded. default randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = 1000

    defines how long one timeSlot is for throttling, default 1 second

  #### Returns Observable<void>

### Private execNextBatch

- execNextBatch(): Observable<BatchWriteSingleTableResponse>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:57

  #### Returns Observable<BatchWriteSingleTableResponse>

### put

- put(items: T[]): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:49

  #### Parameters

  - ##### items: T[]

  #### Returns BatchWriteSingleTableRequest<T>

Generated using TypeDoc